/* sleep.c
 * 
 * A sample program that goes to sleep for the number of milliseconds
 * given in it's first parameter.
 *
 * Not terribly robust, as it can be terminated by a ^C or ^BREAK.
 * It ought to trap those events and exit cleanly, but it doesn't.
 *
 * Compile (Borland C++):
 *  bcc sleep.c timer.obj
 */

#include <stdio.h>
#include <stdlib.h>
#include "timer.h"

unsigned long msleep (long);

main (int argc, char ** argv)
{
    long pause;
    unsigned long time;

    if (argc < 2)
    {
        fprintf (stderr, "Usage: msleep <time in milliseconds>\n");
        exit (0);
    }

    pause = atol (argv[1]);
    time = msleep (pause);
    printf ("%ld\n", time);
    return 0;
}

